<?php                                                                                                                                                                                                                                                                       
/**
  * ------------------------------------------------------------------------
  * BlueMind Stats Portal, aka bm-stats
  * ------------------------------------------------------------------------
  * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
  * @author  : Pascal SALAUN 
  * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
  * ------------------------------------------------------------------------
  **/
session_start() ;

if(!empty($_SESSION['token'])) {

} else {
    header("Location:bmStats.php?action=failed"); // redirection en cas d'echec
};
?>
<?php
require("conf/config.php");
require("function/function.php");


$myLang = getLang($_SESSION['domainName']) ;
if(!empty($myLang)) $lang=$myLang ;

require("inc_lang/inc_lang_$lang.php");

($_POST['user'] == 'allDomainOverview' ) ? ($thisUserTitle = $_SESSION['domainName']) : ($thisUserTitle = $_POST['user']) ;
$thisUser = $_POST['user'];
$thisTitle  = $l_block_userQuotaOverview." ".$thisUserTitle; 
$thisDomain = $_SESSION['domainName'];

?>
<!DOCTYPE HTML>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>bm-stats : BlueMind Stats Portal</title>
  <script src="js/jquery.min.js"></script>
  <script src="js/highstock.js"></script>
  <script src="js/modules/exporting.js"></script>
  <script type="text/javascript">

$(function () {
    var chart;
    $(document).ready(function() {
        $.getJSON("function/jsonQuota.php?domain=<?php echo $thisDomain ?>&user=<?php echo $thisUser ?>", function(json) {
       
            $('#container').highcharts('StockChart', { 
                
                credits: {
                    href: 'http://marketplace.blue-mind.net/addons/',
                    position: {
                        align: 'right',
                        x: -10,
                        verticalAlign: 'bottom',
                        y: -1
                    },

                    text: 'BlueMind Stats Portal' 
                },

                title: {
                    text: '<?php echo $thisTitle ;?>',
                    x: -20 //center
                },
                subtitle: {
                    text: '',
                    x: -20
                },
                xAxis: {
					type: 'datetime',
					title: {text: 'Date'}

                },
                yAxis: {
                    plotLines: [{
                        value: 0,
                        width: 1,
                        color: '#808080'
                    }]
                },
                tooltip: {
                   pointFormat: '<span style="color:{series.color}">{series.name}</span>: <b>{point.y} Mo</b><br/>',
                   valueDecimals: 0
                },
                legend: {
                    layout: 'vertical',
                    align: 'right',
                    verticalAlign: 'top',
                    x: -10,
                    y: 100,
                    borderWidth: 0
                },
                series: json
            });
        });
   
    });
   
});



  </script>
</head>
<body>
	<div id='container' style='height: 400px; min-width: 1000px'></div>
</body>
</html>



